安全漏洞

loophole

安全漏洞补丁公告

当前位置  >  首页  >  服务支持  >  安全漏洞  >  安全漏洞补丁公告

公告ID(KYSA-202105-0004

摘要:unbound安全漏洞 安全等级:中等 公告ID: KYSA-202105-0004 发布日期:2021-08-25 影响CVE:CVE-2019-25041,CVE-2019-25040,CVE-2019-25038,CVE-2019-25039,CVE-2019-25042,CVE-2020-28935,CVE-2019-25031,CVE-2019-25032等等

详细介绍

1. 修复的CVE信息

  • CVE-2019-25041

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞允许通过dname pkt拷贝中的压缩名称断言失败。

  • CVE-2019-25040

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞允许通过dname pkt拷贝中的压缩名称进行无限循环。

  • CVE-2019-25038

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞允许在dnscrypt dnscrypt.c的大小计算中出现整数溢出。

  • CVE-2019-25039

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞允许在respip中计算respip.c的大小时出现整数溢出。

  • CVE-2019-25042

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞源于取消绑定允许通过rdata副本中的压缩名称进行越界写入。

  • CVE-2020-28935

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。

    NLnet Labs Unbound 1.12.0版本及之前版本和NLnet Labs NSD 4.3.3版本及之前版本存在安全漏洞,该漏洞允许一个本地符号链接攻击。在写入PID文件时,如果文件不存在,Unbound和NSD将创建该文件,或者打开现有文件进行写入。在文件已经存在的情况下,如果文件碰巧是符号链接而不是常规文件,则它们将遵循符号链接。

  • CVE-2019-25031

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞允许在成功的man-in-the-middle攻击明文HTTP会话时,在create unbinding ad servers.sh中进行配置注入。

  • CVE-2019-25032

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞允许通过区域分配程序的整数溢出。

  • CVE-2019-25033

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞允许通过ALIGN UP宏在区域分配器中溢出整数。

  • CVE-2019-25034

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞允许sldns str2wire dname buf起源中的整数溢出,导致越界写。

  • CVE-2019-25035

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞源于允许sldns bget令牌par中的越界写入。

  • CVE-2019-25036

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞允许synth cname中的断言失败和拒绝服务。

  • CVE-2019-25037

    Unbound是荷兰NLnet Labs(Nlnet Labs)基金会的一款支持验证递归和缓存的DNS解析器。Unbound 1.9.5之前版本存在安全漏洞,该漏洞允许通过一个无效的数据包在dname pkt拷贝中断言失败和拒绝服务。


2. 受影响的软件包

  • 银河麒麟桌面操作系统V10 SP1

    libunbound-dev

    libunbound8

    python-unbound

    python3-unbound

    unbound

    unbound-anchor

    unbound-host


3. 影响的操作系统

银河麒麟桌面操作系统V10 SP1


4. 修复版本

软件包:unbound
1.9.4-2kylin1.2(V10 SP1)


5. 修复方法

方法一:配置源进行升级安装

打开软件包源配置文件,根据仓库地址进行修改。

4.0.2桌面版本:http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2-desktop main restricted universe multiverse

4.0.2-sp1桌面版本:http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp1-desktop main restricted universe multiverse

4.0.2-sp2桌面版本:http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp2-desktop main restricted universe multiverse

4.0.2-sp3桌面版本:http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp3-desktop main restricted universe multiverse

4.0.2-sp4桌面版本:http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp4-desktop main restricted universe multiverse

10.0版本:http://archive.kylinos.cn/kylin/KYLIN-ALL 10.0 main restricted universe multiverse

10.1专业版本:http://archive.kylinos.cn/kylin/KYLIN-ALL 10.1 main restricted universe multiverse

配置完成后执行更新命令进行升级。$sudo apt update

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的组件包列表 升级相关的组件包。$dpkg -i Packagelists

6. 软件包下载地址

上一篇: KYSA-202105-0003 下一篇: KYSA-202105-0005

试用

服务

动态

联系